/*
 * Moblin-Web-Browser: The web browser for Moblin
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _MWB_FIND_BAR_H
#define _MWB_FIND_BAR_H

#include <glib-object.h>
#include <nbtk/nbtk.h>

G_BEGIN_DECLS

#define MWB_TYPE_FIND_BAR mwb_find_bar_get_type()

#define MWB_FIND_BAR(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  MWB_TYPE_FIND_BAR, MwbFindBar))

#define MWB_FIND_BAR_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  MWB_TYPE_FIND_BAR, MwbFindBarClass))

#define MWB_IS_FIND_BAR(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  MWB_TYPE_FIND_BAR))

#define MWB_IS_FIND_BAR_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  MWB_TYPE_FIND_BAR))

#define MWB_FIND_BAR_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  MWB_TYPE_FIND_BAR, MwbFindBarClass))

typedef struct _MwbFindBar MwbFindBar;
typedef struct _MwbFindBarClass MwbFindBarClass;
typedef struct _MwbFindBarPrivate MwbFindBarPrivate;

struct _MwbFindBar
{
  NbtkBoxLayout parent;

  MwbFindBarPrivate *priv;
};

struct _MwbFindBarClass
{
  NbtkBoxLayoutClass parent_class;

  /* signals */
  void (* changed)   (MwbFindBar *bar, const gchar *string);
  void (* find_next) (MwbFindBar *bar, const gchar *string);
  void (* find_prev) (MwbFindBar *bar, const gchar *string);
  void (* close)     (MwbFindBar *bar);
};

GType mwb_find_bar_get_type (void) G_GNUC_CONST;

NbtkWidget *mwb_find_bar_new (void);

void mwb_find_bar_focus (MwbFindBar *bar);

G_END_DECLS

#endif /* _MWB_FIND_BAR_H */
