/*
 * Moblin-Web-Browser: The web browser for Moblin
 * Copyright (c) 2009, Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St - Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _MWB_PAGE_H
#define _MWB_PAGE_H

#include <glib-object.h>
#include <clutter/clutter.h>
#include <clutter-mozembed/clutter-mozembed.h>
#include <nbtk/nbtk.h>
#include "mwb-download-manager.h"
#include "mwb-mozembed.h"

G_BEGIN_DECLS

#define MWB_TYPE_PAGE mwb_page_get_type()

#define MWB_PAGE(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
  MWB_TYPE_PAGE, MwbPage))

#define MWB_PAGE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST ((klass), \
  MWB_TYPE_PAGE, MwbPageClass))

#define MWB_IS_PAGE(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
  MWB_TYPE_PAGE))

#define MWB_IS_PAGE_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE ((klass), \
  MWB_TYPE_PAGE))

#define MWB_PAGE_GET_CLASS(obj) \
  (G_TYPE_INSTANCE_GET_CLASS ((obj), \
  MWB_TYPE_PAGE, MwbPageClass))

typedef struct _MwbPagePrivate MwbPagePrivate;

typedef struct {
  NbtkWidget parent;

  MwbPagePrivate *priv;
} MwbPage;

typedef struct {
  NbtkWidgetClass parent_class;
} MwbPageClass;

GType mwb_page_get_type (void);

NbtkWidget* mwb_page_new (gboolean private);
NbtkWidget* mwb_page_new_with_mozembed (MwbMozEmbed *mozembed);
NbtkWidget* mwb_page_new_with_parent (MwbMozEmbed *parent);

ClutterMozEmbed *mwb_page_get_mozembed (MwbPage *page);
void mwb_page_set_mozembed (MwbPage *page, MwbMozEmbed *mozembed);

void mwb_page_set_download_manager (MwbPage *page, MwbDownloadManager *dlman);

gboolean mwb_page_is_crashed (MwbPage *page);

G_END_DECLS

#endif /* _MWB_PAGE_H */

